Loading...
Searching...
No Matches
kdump_xlat Struct Reference

Shareable address translation. More...

`#include <kdumpfile-priv.h>`

## Data Fields

unsigned long | refcnt
| Reference counter.
bool | dirty
| Is libaddrxlat (re-)initialization needed?
struct list_head | ctx
| List of all refererring `kdump_ctx_t` structures.
enum global_keyidx | osdir
| OS attribute base directory.
addrxlat_sys_t * | xlatsys
| Address translation system.
unsigned long | xlat_caps
| Address space capabilities.

## Detailed Description

Shareable address translation.

## Field Documentation

## ctx

struct list_head kdump_xlat::ctx

List of all refererring `kdump_ctx_t` structures.

Each `kdump_ctx_t` that holds a reference to this shared data must be added to this list.

## osdir

enum global_keyidx kdump_xlat::osdir

OS attribute base directory.

If OS type is not set, this field contains @xref NR_GLOBAL_ATTRS, which is an invalid value.

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h